#!/usr/local/bin/perl

# Set Mail Address and URL
$my_mail=$ENV{"GNS_INSTALL_my_mail"};
$my_url=$ENV{"GNS_INSTALL_my_url"};

# Set Program Path

# Set Replace source
$orig_my_mail='yourmail\@example.net';
$orig_my_url='http://www.example.net/GNS/';

# Display Replace data
print <<EOF;
[Welcome to GNS!]
-------------------------------------------------
Your Mail Address = [${my_mail}]
Your Diary URL    = [${my_url}]
-------------------------------------------------
Push [Enter] key to continue installing.
EOF
$dummy = <STDIN>;


# Set GNS Folder's permission


# Create tmp folder
print "-------------------------------------------------\n";
if ( ! -d tmp ) {
  print "Create folder [tmp\\]\n";
  mkdir "tmp";
}

# Create Diary Master Folder
print "-------------------------------------------------\n";
if ( ! -d "../d" ) {
  print "Create folder [..\\d\\]\n";
  mkdir "../d";
}
if ( ! -d "../d/keep" ) {
  print "Create folder [..\\d\\keep\\]\n";
  mkdir "../d/keep";
}
chdir "keep";
foreach $file ( <*.html> ) {
  if ( ! -e "../../d/keep/$FILE" ) {
    print "Copy database [..\\d\\keep\\$FILE]\n";
    system( "copy $FILE ..\\..\\d\\keep\\" );
  }
}
chdir "..";

# Create Picture Folder
print "-------------------------------------------------\n";
if ( ! -d "../pic" ) {
  print "Create picture folder [..\\pic\\]\n";
  mkdir "../pic";
}

# Create TB/CM Folder

# Replace Program Path
print "-------------------------------------------------\n";
unlink "tmp/*";
system( "copy *.sh  tmp\\ >nul" );
system( "copy *.cgi tmp\\ >nul" );
system( "copy *.pl  tmp\\ >nul" );
system( "copy *.ph  tmp\\ >nul" );
chdir "tmp";
unlink "install*.*";
foreach $file (<*.*>) {
  print "Replace file [.\\$file]\n";
  open( INFILE, "<$file" );
  open( OUTFILE, ">../$file" );
  while ( <INFILE> ) {
    s+${orig_my_mail}+${my_mail}+;
    s+${orig_my_url}+${my_url}+;
    print OUTFILE;
  }
  close(INFILE);
  close(OUTFILE);
}
if ( ! -e "../config.ph" ) {
  print "Create configure file [.\\config.ph]\n";
  system( "copy ..\\config_sample.ph ..\\config.ph >nul" );
}
if ( ! -e "../config2.ph" ) {
  print "Create configure file [.\\config2.ph]\n";
  system( "copy ..\\config2_sample.ph ..\\config2.ph >nul" );
}
chdir "..";

unlink "tmp/*";

# Set Program permission

print "-------------------------------------------------\n";
print "Finish installing.\n"
