#!/usr/local/bin/perl
#### ȥåХå/ȼ for GNS tbc.cgi V4.00 
#### Copyright 1998-2005 GORRY. 
#### mailto: gorry@hauN.org 
#### 
#### History: 
#### 2005/04/22 V3.00  

if ( -e "tb/tb.ph" ) {
	chdir( 'tb' );
} elsif ( -e "../tb/tb.ph" ) {
	chdir( '../tb' );
} elsif ( -e "../../tb/tb.ph" ) {
	chdir( '../../tb' );
} else {
	exit;
}
require "tb.ph";
require "config.ph";

{
	&CreateSemaphore();

#	$tbtourl = substr( $ENV{'PATH_INFO'}, 1 );
	$tbtourl = $ARGV[0];

	# å
	$year = substr( $tbtourl, 0, 4 )+0;
	$month = substr( $tbtourl, 4, 2 )+0;
	$day = substr( $tbtourl, 6, 2 )+0;
	$titleid = substr( $tbtourl, 8, 2 )+0;
	if ( ($year < 1980) || ($year > 2099)
	  || ($month < 1) || ($month > 12)
	  || ($day < 1) || ($day > 31)
	  || ($titleid < 1)
	) {
		&doterm();
		exit;
	}

	# 󥿥ե
	$fin = sprintf( "$TB_LOG_DIR/$year/%02dc.log", $month );
	if ( !(-e $fin) ) {
		print "(0)";
		&doterm();
		exit;
	}
	open ( FIN, $fin );
	while ( <FIN> ) {
		@s = split;
		@t = split( ",", $s[0] );
		$count{$t[0],$t[1],$t[2],$t[3]} = $s[1];
	}
	close( FIN );
	$year += 0;
	$month += 0;
	$day += 0;
	$titleid += 0;
	$c = $count{$year,$month,$day,$titleid}+0;
	print "(" . $c . ")";

	&doterm();
	exit;
}

####################################################################

sub CreateSemaphore {
	local( $abort_counter ) = 60;
	local( $not_aborted ) = 1;
	$SIG{'__DIE__'} = $SIG{'TRAP'} = $SIG{'ABRT'} = $SIG{'STOP'} = $SIG{'TERM'} = $SIG{'INT'} = $SIG{'KILL'} = $SIG{'QUIT'} = $SIG{'HUP'} = $SIG{'PIPE'} = 'doterm';
	while(!mkdir($LOCKFILE)) {
		$abort_counter--;
		if ( $abort_counter eq 0 ) {
			$not_aborted = 0;
			last;
		}
		sleep(1);
	}

	if ( $not_aborted == 0 ) {
		&doterm();
	}

	return (0);
}

sub doterm {
	rmdir($LOCKFILE);
	return;
}

####################################################################

# [EOF]
